org.jbpm.services.api.model

## Interface ProcessDefinition

- All Superinterfaces:
    DeployedAsset, Serializable
  All Known Implementing Classes:
    ProcessAssetDesc

      public interface ProcessDefinition
      extends Serializable, DeployedAsset

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Collection<String>>` | `getAssociatedEntities()`
    `String` | `getDeploymentId()`
    `Collection<String>` | `getGlobals()`
    `String` | `getId()`
    `String` | `getName()`
    `Set<NodeDesc>` | `getNodes()`
    `String` | `getPackageName()`
    `Map<String,String>` | `getProcessVariables()`
    `Collection<String>` | `getReferencedRules()`
    `Collection<String>` | `getReusableSubProcesses()`
    `Map<String,String>` | `getServiceTasks()`
    `Collection<String>` | `getSignals()`
    `Set<TimerDesc>` | `getTimers()`
    `String` | `getType()`
    `String` | `getVersion()`
    `boolean` | `isActive()`
    `boolean` | `isDynamic()`

    - ### Methods inherited from interface org.jbpm.services.api.model.DeployedAsset

      `getKnowledgeType, getOriginalPath`

- - ### Method Detail

    - #### getId

          String getId()

      Specified by:
        `getId` in interface `DeployedAsset`

    - #### getName

          String getName()

      Specified by:
        `getName` in interface `DeployedAsset`

    - #### getVersion

          String getVersion()

      Specified by:
        `getVersion` in interface `DeployedAsset`

    - #### getPackageName

          String getPackageName()

    - #### getType

          String getType()

    - #### getDeploymentId

          String getDeploymentId()

    - #### isDynamic

          boolean isDynamic()

    - #### getAssociatedEntities

          Map<String,Collection<String>> getAssociatedEntities()

    - #### getServiceTasks

          Map<String,String> getServiceTasks()

    - #### getProcessVariables

          Map<String,String> getProcessVariables()

    - #### getReusableSubProcesses

          Collection<String> getReusableSubProcesses()

    - #### getSignals

          Collection<String> getSignals()

    - #### getGlobals

          Collection<String> getGlobals()

    - #### getReferencedRules

          Collection<String> getReferencedRules()

    - #### isActive

          boolean isActive()

    - #### getNodes

          Set<NodeDesc> getNodes()

    - #### getTimers

          Set<TimerDesc> getTimers()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.